Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 988648 - Review Request: libunity - Unity instrumenting and integration library
Summary: Review Request: libunity - Unity instrumenting and integration library
Keywords:
Status: CLOSED NOTABUG
Alias: None
Deadline: 2014-08-01
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 962029 1121005
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-07-26 04:35 UTC by Christopher Meng
Modified: 2016-01-11 20:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-11 20:24:32 UTC


Attachments (Terms of Use)

Description Christopher Meng 2013-07-26 04:35:08 UTC
Spec URL: http://cicku.me/libunity.soec
SRPM URL: http://cicku.me/libunity-6.12.0-1.fc20.src.rpm
Description: LibUnity is library for instrumenting- and integrating with all aspects of the
Unity shell (lp:unity). This is not a library used in the implementation
of the Unity shell itself (lp:unity does not link against it), but a library to
be consumed by clients that wants to do deep integration with the Unity shell.
Fedora Account System Username: cicku

Comment 1 Michael Schwendt 2014-01-12 09:46:08 UTC
Spec URL: http://cicku.me/libunity.spec
SRPM URL: http://cicku.me/libunity-6.12.0-1.fc20.src.rpm


Just a brief look at the spec:

> Summary:        Unity instrumenting and integration library

Somewhat pedantic, but I only took a look at this ticket because I wanted to know whether "Unity" here is ambiguous. More clear would be

  Summary: Instrumenting and integration library for the Unity shell

IMO.


> %package        devel
> Requires:       %{name} = %{version}-%{release}

https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package


> %package -n     python-%{name}
> Summary:        Python bindings for libunity

Note that the "Requiring Base Package" guidelines are not specific to -devel packages.


> %files
> %{_libdir}/girepository-1.0/*.typelib
> %{_libdir}/libunity.so.*
> %{_libdir}/libunity/libunity-protocol-private.so.*

Which package owns %{_libdir}/libunity/?

> %files devel
> %{_libdir}/libunity/libunity-protocol-private.so

Please verify how/when this lib is used. Judging based on its path it seems to be a private plugin/extension lib, which is dlopen()'ed at runtime. Verify whether libunity loads it via the non-versioned *.so name or the versioned one. In that case, this file may need to be moved into the correct package.


Note You need to log in before you can comment on or make changes to this bug.